| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
Tuple.h File Reference

Header file for class : Tuple. More...

`#include <string>`
`#include "GaudiAlg/TupleObj.h"`
`#include "GaudiKernel/SmartIF.h"`
Include dependency graph for Tuple.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Tuples::TupleItem< ITEM >
class | Tuples::Tuple
| A simple wrapper class over standard Gaudi NTuple::Tuple facility. More...
class | Tuples::TupleColumn< ITEM >
| Helper class which allows to extend the functionality of Tuple with possibility to use your own representation of complex objects. More...

## Namespaces
| Tuples
| General namespace for Tuple properties.

## Functions
template<class ITEM >
TupleColumn< ITEM > | Tuples::make_column (std::string name, const ITEM &item)
| helper function to create 'on-the-fly' the helper object Tuples::TupleColumn More...
template<class ITEM >
TupleColumn< const ITEM * > | Tuples::make_column (std::string name, const ITEM *item)
| helper function to create 'on-the-fly' the helper object Tuples::TupleColumn More...
template<class ITEM >
TupleColumn< ITEM * > | Tuples::make_column (std::string name, ITEM *item)
| helper function to create 'on-the-fly' the helper object Tuples::TupleColumn More...
template<class ITEM >
TupleColumn< ITEM > | Tuples::Column (std::string name, const ITEM &item)
template<class ITEM >
TupleColumn< const ITEM * > | Tuples::Column (std::string name, const ITEM *item)
template<class ITEM >
TupleColumn< ITEM * > | Tuples::Column (std::string name, ITEM *item)
template<class ITEM >
Tuples::Tuple & | operator<< (Tuples::Tuple &tuple, const Tuples::TupleColumn< ITEM > &item)
| helper operator to feed Tuple with the data, see Tuples::TupleColumn More...

## Detailed Description

Header file for class : Tuple.

Date
  2002-10-30

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Definition in file Tuple.h.

## Function Documentation

template<class ITEM >

Tuples::Tuple& operator<< | ( | Tuples::Tuple & | tuple,
|  | const Tuples::TupleColumn< ITEM > & | item
| ) |  |
| inline

helper operator to feed Tuple with the data, see Tuples::TupleColumn

Definition at line 341 of file Tuple.h.

342 {
343 if ( !tuple.valid() ) {
344 return tuple;
345 } // no action for invalid tuple
346 tuple->column( item.name(), item.value() );
347 return tuple;
348 }
Tuples::TupleObj::column
StatusCode column(const std::string &name, float value)
Set the value for selected tuple column.
Definition: TupleObj.cpp:315
Tuples::TupleColumn::value
const ITEM & value() const
Return the column value.
Definition: Tuple.h:283
Tuples::TupleColumn::name
const std::string & name() const
Return the column name.
Definition: Tuple.h:281
Tuples::Tuple::valid
bool valid() const
check the validity of the tuple object
Definition: Tuple.h:150